com.holonplatform.core

## Enum Validator.PatternFlag

- java.lang.Object
- - java.lang.Enum<Validator.PatternFlag>
  - - com.holonplatform.core.Validator.PatternFlag

- All Implemented Interfaces:
    Serializable, Comparable<Validator.PatternFlag>
  Enclosing interface:
    Validator<T>

      public static enum Validator.PatternFlag
      extends Enum<Validator.PatternFlag>

  Pattern validation regexp flags

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANON_EQ` Enables canonical equivalence.
    `CASE_INSENSITIVE` Enables case-insensitive matching.
    `COMMENTS` Permits whitespace and comments in pattern.
    `DOTALL` Enables dotall mode.
    `MULTILINE` Enables multiline mode.
    `UNICODE_CASE` Enables Unicode-aware case folding.
    `UNIX_LINES` Enables Unix lines mode.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `asBitValue(Validator.PatternFlag[] flags)` Get given flags as bit mask.
    `static Validator.PatternFlag` | `fromFlag(int flag)` Get the `Validator.PatternFlag` which corresponds to given regex flag value
    `int` | `getValue()` Get the regex flag value.
    `static Validator.PatternFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Validator.PatternFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNIX_LINES

          public static final Validator.PatternFlag UNIX_LINES

      Enables Unix lines mode.
      See Also:
        `Pattern.UNIX_LINES`

    - #### CASE_INSENSITIVE

          public static final Validator.PatternFlag CASE_INSENSITIVE

      Enables case-insensitive matching.
      See Also:
        `Pattern.CASE_INSENSITIVE`

    - #### COMMENTS

          public static final Validator.PatternFlag COMMENTS

      Permits whitespace and comments in pattern.
      See Also:
        `Pattern.COMMENTS`

    - #### MULTILINE

          public static final Validator.PatternFlag MULTILINE

      Enables multiline mode.
      See Also:
        `Pattern.MULTILINE`

    - #### DOTALL

          public static final Validator.PatternFlag DOTALL

      Enables dotall mode.
      See Also:
        `Pattern.DOTALL`

    - #### UNICODE_CASE

          public static final Validator.PatternFlag UNICODE_CASE

      Enables Unicode-aware case folding.
      See Also:
        `Pattern.UNICODE_CASE`

    - #### CANON_EQ

          public static final Validator.PatternFlag CANON_EQ

      Enables canonical equivalence.
      See Also:
        `Pattern.CANON_EQ`

  - ### Method Detail

    - #### values

          public static Validator.PatternFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Validator.PatternFlag c : Validator.PatternFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Validator.PatternFlag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the regex flag value.
      Returns:
        flag value as defined in `Pattern`

    - #### asBitValue

          public static int asBitValue(Validator.PatternFlag[] flags)

      Get given flags as bit mask.
      Parameters:
        `flags` - Flags
      Returns:
        Bit mask value

    - #### fromFlag

          public static Validator.PatternFlag fromFlag(int flag)

      Get the `Validator.PatternFlag` which corresponds to given regex flag value
      Parameters:
        `flag` - Regex flag
      Returns:
        PatternFlag, or `null` if none matches

Copyright © 2019 The Holon Platform. All rights reserved.